Index: trunk/sources/HeuristicLab.ThreadParallelEngine/3.3/ThreadParallelEngine.cs
===================================================================
--- trunk/sources/HeuristicLab.ThreadParallelEngine/3.3/ThreadParallelEngine.cs	(revision 1871)
+++ trunk/sources/HeuristicLab.ThreadParallelEngine/3.3/ThreadParallelEngine.cs	(revision 1872)
@@ -26,4 +26,5 @@
 using System.Threading;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 
 namespace HeuristicLab.ThreadParallelEngine {
@@ -44,4 +45,5 @@
     private int operatorIndex;
 
+    [Storable]
     private int myWorkers;
     /// <summary>
@@ -211,36 +213,4 @@
         WorkersChanged(this, new EventArgs());
     }
-
-    #region Persistence Methods
-    /// <summary>
-    /// Saves the current instance as <see cref="XmlNode"/> in the specified <paramref name="document"/>.
-    /// </summary>
-    /// <remarks>The number of workers is saved as <see cref="XmlAttribute"/> with attribute name 
-    /// <c>Workers</c>.</remarks>
-    /// <param name="name">The (tag)name of the <see cref="XmlNode"/>.</param>
-    /// <param name="document">The <see cref="XmlDocument"/> where the data is saved.</param>
-    /// <param name="persistedObjects">The dictionary of all already persisted objects. 
-    /// (Needed to avoid cycles.)</param>
-    /// <returns>The saved <see cref="XmlNode"/>.</returns>
-    public override XmlNode GetXmlNode(string name, XmlDocument document, IDictionary<Guid, IStorable> persistedObjects) {
-      XmlNode node = base.GetXmlNode(name, document, persistedObjects);
-      XmlAttribute workersAttribute = document.CreateAttribute("Workers");
-      workersAttribute.Value = Workers.ToString();
-      node.Attributes.Append(workersAttribute);
-      return node;
-    }
-    /// <summary>
-    /// Loads the persisted engine from the specified <paramref name="node"/>.
-    /// </summary>
-    /// <remarks>The number of workers must be saved in a specific way, see <see cref="GetXmlNode"/>
-    /// for further information.</remarks>
-    /// <param name="node">The <see cref="XmlNode"/> where the instance is saved.</param>
-    /// <param name="restoredObjects">The dictionary of all already restored objects. 
-    /// (Needed to avoid cycles.)</param>
-    public override void Populate(XmlNode node, IDictionary<Guid, IStorable> restoredObjects) {
-      base.Populate(node, restoredObjects);
-      myWorkers = int.Parse(node.Attributes["Workers"].Value);
-    }
-    #endregion
   }
 }
Index: trunk/sources/HeuristicLab.sln
===================================================================
--- trunk/sources/HeuristicLab.sln	(revision 1871)
+++ trunk/sources/HeuristicLab.sln	(revision 1872)
@@ -204,4 +204,20 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Modeling-3.2", "HeuristicLab.Modeling\3.2\HeuristicLab.Modeling-3.2.csproj", "{80F7FADA-549D-4151-8856-79B620A50DBA}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Charting.Data-3.3", "HeuristicLab.Charting.Data\3.3\HeuristicLab.Charting.Data-3.3.csproj", "{EE956A95-6344-4B01-876F-BE95C5E2F92B}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Logging-3.3", "HeuristicLab.Logging\3.3\HeuristicLab.Logging-3.3.csproj", "{72908B54-D136-4BF2-8474-25AA6CB66C92}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Operators.Programmable-3.3", "HeuristicLab.Operators.Programmable\3.3\HeuristicLab.Operators.Programmable-3.3.csproj", "{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Selection.OffspringSelection-3.3", "HeuristicLab.Selection.OffspringSelection\3.3\HeuristicLab.Selection.OffspringSelection-3.3.csproj", "{81609E8A-9757-4865-8B89-0B6603F769E8}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SGA-3.3", "HeuristicLab.SGA\3.3\HeuristicLab.SGA-3.3.csproj", "{4C3305C4-E440-4EAD-B218-68D77AE51543}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.TestFunctions-3.3", "HeuristicLab.TestFunctions\3.3\HeuristicLab.TestFunctions-3.3.csproj", "{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ThreadParallelEngine-3.3", "HeuristicLab.ThreadParallelEngine\3.3\HeuristicLab.ThreadParallelEngine-3.3.csproj", "{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.OptimizationFrontend-3.3", "HeuristicLab.OptimizationFrontend\3.3\HeuristicLab.OptimizationFrontend-3.3.csproj", "{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}"
 EndProject
 Global
@@ -3490,4 +3506,292 @@
 		{80F7FADA-549D-4151-8856-79B620A50DBA}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
 		{80F7FADA-549D-4151-8856-79B620A50DBA}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Debug|x64.ActiveCfg = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Debug|x64.Build.0 = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Debug|x86.ActiveCfg = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Debug|x86.Build.0 = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.GP Debug|x64.ActiveCfg = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.GP Debug|x64.Build.0 = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.GP Debug|x86.ActiveCfg = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.GP Debug|x86.Build.0 = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Release|x64.ActiveCfg = Release|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Release|x64.Build.0 = Release|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Release|x86.ActiveCfg = Release|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Release|x86.Build.0 = Release|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Visualization Debug|x64.Build.0 = Debug|x64
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B}.Visualization Debug|x86.Build.0 = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Debug|x64.ActiveCfg = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Debug|x64.Build.0 = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Debug|x86.ActiveCfg = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Debug|x86.Build.0 = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.GP Debug|x64.ActiveCfg = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.GP Debug|x64.Build.0 = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.GP Debug|x86.ActiveCfg = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.GP Debug|x86.Build.0 = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Release|Any CPU.Build.0 = Release|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Release|x64.ActiveCfg = Release|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Release|x64.Build.0 = Release|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Release|x86.ActiveCfg = Release|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Release|x86.Build.0 = Release|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Visualization Debug|x64.Build.0 = Debug|x64
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{72908B54-D136-4BF2-8474-25AA6CB66C92}.Visualization Debug|x86.Build.0 = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|x64.ActiveCfg = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|x64.Build.0 = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|x86.ActiveCfg = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Debug|x86.Build.0 = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.GP Debug|x64.ActiveCfg = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.GP Debug|x64.Build.0 = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.GP Debug|x86.ActiveCfg = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.GP Debug|x86.Build.0 = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|Any CPU.Build.0 = Release|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|x64.ActiveCfg = Release|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|x64.Build.0 = Release|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|x86.ActiveCfg = Release|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Release|x86.Build.0 = Release|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Visualization Debug|x64.Build.0 = Debug|x64
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6}.Visualization Debug|x86.Build.0 = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Debug|x64.ActiveCfg = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Debug|x64.Build.0 = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Debug|x86.ActiveCfg = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Debug|x86.Build.0 = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.GP Debug|x64.ActiveCfg = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.GP Debug|x64.Build.0 = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.GP Debug|x86.ActiveCfg = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.GP Debug|x86.Build.0 = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|Any CPU.Build.0 = Release|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|x64.ActiveCfg = Release|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|x64.Build.0 = Release|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|x86.ActiveCfg = Release|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Release|x86.Build.0 = Release|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Visualization Debug|x64.Build.0 = Debug|x64
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{81609E8A-9757-4865-8B89-0B6603F769E8}.Visualization Debug|x86.Build.0 = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x64.ActiveCfg = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x64.Build.0 = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x86.ActiveCfg = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Debug|x86.Build.0 = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.GP Debug|x64.ActiveCfg = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.GP Debug|x64.Build.0 = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.GP Debug|x86.ActiveCfg = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.GP Debug|x86.Build.0 = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|Any CPU.Build.0 = Release|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x64.ActiveCfg = Release|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x64.Build.0 = Release|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x86.ActiveCfg = Release|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Release|x86.Build.0 = Release|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Visualization Debug|x64.Build.0 = Debug|x64
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{4C3305C4-E440-4EAD-B218-68D77AE51543}.Visualization Debug|x86.Build.0 = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|x64.ActiveCfg = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|x64.Build.0 = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|x86.ActiveCfg = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Debug|x86.Build.0 = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.GP Debug|x64.ActiveCfg = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.GP Debug|x64.Build.0 = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.GP Debug|x86.ActiveCfg = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.GP Debug|x86.Build.0 = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Release|Any CPU.Build.0 = Release|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Release|x64.ActiveCfg = Release|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Release|x64.Build.0 = Release|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Release|x86.ActiveCfg = Release|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Release|x86.Build.0 = Release|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Visualization Debug|x64.Build.0 = Debug|x64
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2}.Visualization Debug|x86.Build.0 = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Debug|x64.ActiveCfg = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Debug|x64.Build.0 = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Debug|x86.ActiveCfg = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Debug|x86.Build.0 = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.GP Debug|x64.ActiveCfg = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.GP Debug|x64.Build.0 = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.GP Debug|x86.ActiveCfg = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.GP Debug|x86.Build.0 = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Release|Any CPU.Build.0 = Release|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Release|x64.ActiveCfg = Release|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Release|x64.Build.0 = Release|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Release|x86.ActiveCfg = Release|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Release|x86.Build.0 = Release|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Visualization Debug|x64.Build.0 = Debug|x64
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799}.Visualization Debug|x86.Build.0 = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.CEDMA Debug|x64.Build.0 = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.CEDMA Debug|x86.Build.0 = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Debug|x64.ActiveCfg = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Debug|x64.Build.0 = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Debug|x86.ActiveCfg = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Debug|x86.Build.0 = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.GP Debug|x64.ActiveCfg = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.GP Debug|x64.Build.0 = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.GP Debug|x86.ActiveCfg = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.GP Debug|x86.Build.0 = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Release|x64.ActiveCfg = Release|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Release|x64.Build.0 = Release|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Release|x86.ActiveCfg = Release|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Release|x86.Build.0 = Release|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.v3.2 Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.v3.2 Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.v3.2 Debug|x64.ActiveCfg = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.v3.2 Debug|x64.Build.0 = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.v3.2 Debug|x86.ActiveCfg = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.v3.2 Debug|x86.Build.0 = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Visualization Debug|x64.Build.0 = Debug|x64
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00}.Visualization Debug|x86.Build.0 = Debug|x86
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
@@ -3586,4 +3890,12 @@
 		{600287A3-8714-453E-B875-A05F3EB72315} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{EE956A95-6344-4B01-876F-BE95C5E2F92B} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{72908B54-D136-4BF2-8474-25AA6CB66C92} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{6A5F8C2D-B0C3-4B36-BC20-9B1A91EE6DB6} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{81609E8A-9757-4865-8B89-0B6603F769E8} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{4C3305C4-E440-4EAD-B218-68D77AE51543} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{55E23C37-F4F8-4B20-89B3-1B8B59050CE2} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{C2E99CCE-9FB0-456F-9BA0-57900E4AA799} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
+		{BEE2B944-7F12-42CC-95A0-6EFB837FDA00} = {78982D7C-D63D-4A3D-AE1F-F58AC007603B}
 	EndGlobalSection
 EndGlobal
